# 
# Janosik - Wieloplatformowa odpowiednik programu Patnik 
#
# Copyright (C) 2002, 2003 Janosik Development Team
# 
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

"""Modu obsugujcy pliki kxml.

	Kxml jest formatem plikw wywodzcym si XML, 
	w ktrym Janosik przechowuje swoje dane.
	Modu ten odczytuje i zapisuje takie pliki,
	wykorzystujc bardzo szybki parser XML - pyRPX."""

import pyRXP
import os.path
from types import *

def wczytaj(sciezka):
	if not os.path.exists(sciezka):
		raise IOError, 'Podany plik nie istnieje: %s' % sciezka

	if not os.path.isfile(sciezka):
		raise IOError, 'Obiekt nie jest plikiem: %s' % sciezka
	
	p = pyRXP.Parser()
	f = open(sciezka, 'r')

	dokument = p.parse(f.read())

	# Musimy zagwarantowa, e zostan usunite wszystkie niepotrzebne
	# ancuchy - znaki koca linii itd...
	isTouple = lambda e: type(e) is TupleType
	dokument[2][:] = filter(isTouple, dokument[2])
	for pola in dokument[2]:
		pola[2][:] = filter(isTouple, pola[2])
		for section in pola[2]:
			section[2][:] = filter(isTouple, section[2])

	return dokument


def _wypisz_tag(t):
	return '<%s name="%s">' % (t[0], t[1]['name'])

def _wypisz_endtag(t):
	return '</' + t[0] + '>'

def nowy_dokument(sciezka):
	if os.path.exists(sciezka) and not os.path.isfile(sciezka):
		raise IOError, 'Obiekt nie jest plikiem: %s' % sciezka

	plik = open(sciezka, 'w')

	wyd = '<?xml version="1.0" encoding="iso-8859-2"?>\n'
	wyd += '<dokument>\n'
	plik.write(wyd)
	return plik

def dodaj_pola(pola, plik):
	wyd = '\t'
	wyd += _wypisz_tag(pola)
	wyd += '\n'
	for section in pola[2]:
		wyd += '\t\t'
		wyd += _wypisz_tag(section)
		wyd += '\n'
		for pole in section[2]:
			wyd += '\t\t\t'
			wyd += _wypisz_tag(pole)
			wyd += pole[2][0] 	# !!!
			wyd += _wypisz_endtag(pole)
			wyd += '\n'
		wyd += '\t\t'
		wyd += _wypisz_endtag(section)
		wyd += '\n'
	wyd += '\t'
	wyd += _wypisz_endtag(pola)
	wyd += '\n'
	plik.write(wyd)

def zamknij_dokument(plik):
	wyd = '</dokument>\n'

	plik.write(wyd)
	plik.close()
	
def zapisz(dokument, sciezka):
	plik = nowy_dokument(sciezka)
	for pola in dokument[2]:
		dodaj_pola(pola, plik)
	zamknij_dokument(plik)


