# 
# Janosik - Wieloplatformowa odpowiednik programu Patnik 
#
# Copyright (C) 2003 Janosik Development Team
# 
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#


"""Drukowanie formularzy w Janosiku.

	Wydruk dokumentw do postaci *.ps na podstawie
	gotowych szblonw wydrukw.
"""

import API
import time

def pusta(str):
	return '%s { () show_field } def' % (str[:9], )


# Tu jest takie zamieszanie ze wzgldu na dokumenty z sekcjami wielokrotnymi.

def przygotuj_linie(slownik, linia, start, max, suma):
	if linia[2] == 0:
		pos = 0
	elif linia[2] <= max:
		pos = start + linia[2] - 1
	else:
		return pusta(linia[0])

	args = map(lambda l, p = pos, s = slownik: 
			API.wartosc_pola(API.znajdz(s, l)[p]),
			linia[1])
	
	if linia[3] == 1:
		# Ciche zaoenie, e sumujemy tylko pojedyncze pola.
		suma[0] = suma[0] + int(args[0])

	if linia[3] == -1:
		return linia[0] % suma[0]
	
	# Puste pole wic nie wypisujemy przecinkw, kropek, itp.
	if filter(lambda s: s.strip(), args):
		return linia[0] % tuple(args)
	else:
		return pusta(linia[0])
		

def drukuj(dokument, plik):
	typ = API.typ_dokumentu(dokument)
	i = 0
	if typ in tab_druku:
		
		slownik = API.przygotuj_znajdz(dokument)
		max = 0
		for v in slownik.values():
			if max < len(v):
				max = len(v)
		
		while max > 0:
		
			ps = file('%s_%02d.ps' % 
					(plik, i), 'w')
			head = file('wydruki/%s.head' % typ, 'r')
			ps.write(head.read())
			head.close()
		
			start = tab_druku[typ][0] * i

			# Niektre dokumenty maj sumy wartoci na kartce.
			suma = [0]
		
			for linia in tab_druku[typ][1]:
				ps.write('%s\n' % 
					przygotuj_linie(slownik, linia, 
						start, max, suma))
			tail = file('wydruki/%s.tail' % typ, 'r')
			ps.write(tail.read())
			tail.close()
			ps.close()
			max = max - tab_druku[typ][0]
			i = i + 1
	return i


tab_druku = {}
 

tab_druku['zusdra'] = (1, [
	('/pole_001 { (%s) show_field } def',  ('dadra_termin_przesylania_dir', ), 0, 0),
	('/pole_002 { (%s) show_id } def',  ('dadra_identyfikator', ), 0, 0),
	('/pole_003 { (%s) show_field } def',  ('dadra_znak_i_numer_depo', ), 0, 0),
	('/pole_004 { (%s) show_field } def',  ('dipl_nip' , ), 0, 0),
	('/pole_005 { (%s) show_field } def',  ('dipl_regon' , ), 0, 0),
	('/pole_006 { (%s) show_field } def',  ('dipl_pesel' , ), 0, 0),
	('/pole_007 { (%s) show_field } def',  ('dipl_rodzaj_dokumentu' , ), 0, 0),
	('/pole_008 { (%s) show_field } def',  ('dipl_seria_numer' , ), 0, 0),
	('/pole_009 { (%s) show_field } def',  ('dipl_nazwa_skrocona' , ), 0, 0),
	('/pole_010 { (%s) show_field } def',  ('dipl_nazwisko' , ), 0, 0),
	('/pole_011 { (%s) show_field } def',  ('dipl_imie_pierwsze' , ), 0, 0),
	('/pole_012 { (%s) show_date } def',  ('dipl_data_urodzenia' , ), 0, 0),
	('/pole_013 { (%s) show_field } def',  ('inn7_liczba_ubezpieczonych', ), 0, 0),
	('/pole_014 { (%s) show_money } def',  ('inn7_liczba_pracownikow_w_przeliczeniu_napewyczap', ), 0, 0),
	('/pole_015 { (%s) show_field } def',  ('inn7_czy_posiada_stazaprachro', ), 0, 0),
	('/pole_016 { (%s) show_money } def',  ('inn7_stopa_procentowa_skladek_na_uwy', ), 0, 0),
	('/pole_017 { (%s) show_money } def',  ('zsdrai_suma_emerytalne', ), 0, 0),
	('/pole_018 { (%s) show_money } def',  ('zsdrai_suma_rentowe', ), 0, 0),
	('/pole_019 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowe', ), 0, 0),
	('/pole_020 { (%s) show_money } def',  ('zsdrai_kwota_emerytalne_fpu', ), 0, 0),
	('/pole_021 { (%s) show_money } def',  ('zsdrai_kwota_rentowe_fpu', ), 0, 0),
	('/pole_022 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowa_fpu', ), 0, 0),
	('/pole_023 { (%s) show_money } def',  ('zsdrai_kwota_emerytalne_fpp', ), 0, 0),
	('/pole_024 { (%s) show_money } def',  ('zsdrai_kwota_rentowe_fpp', ), 0, 0),
	('/pole_025 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowe_fpp', ), 0, 0),
	('/pole_026 { (%s) show_money } def',  ('zsdrai_kwota_emerytalne_fpbp', ), 0, 0),
	('/pole_027 { (%s) show_money } def',  ('zsdrai_kwota_rentowe_fpbp', ), 0, 0),
	('/pole_028 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowe_fpbp', ), 0, 0),
	('/pole_029 { (%s) show_money } def',  ('zsdrai_kwota_emerytalne_fppfron', ), 0, 0),
	('/pole_030 { (%s) show_money } def',  ('zsdrai_kwota_rentowe_fppfron', ), 0, 0),
	('/pole_031 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowe_fppfron', ), 0, 0),
	('/pole_032 { (%s) show_money } def',  ('zsdrai_kwota_emerytalne_fpfk', ), 0, 0),
	('/pole_033 { (%s) show_money } def',  ('zsdrai_kwota_rentowe_fpfk', ), 0, 0),
	('/pole_034 { (%s) show_money } def',  ('zsdrai_suma_emerytalne_rentowe_fpfk', ), 0, 0),
	('/pole_035 { (%s) show_money } def',  ('zsdrai_suma_chorobowe', ), 0, 0),
	('/pole_036 { (%s) show_money } def',  ('zsdrai_suma_wypadkowe', ), 0, 0),
	('/pole_037 { (%s) show_money } def',  ('zsdrai_suma_kwot_chorobowe_wypadkowe', ), 0, 0),
	('/pole_038 { (%s) show_money } def',  ('zsdrai_kwota_chorobowe_fpu', ), 0, 0),
	('/pole_039 { (%s) show_money } def',  ('zsdrai_kwota_wypadkowe_fpu', ), 0, 0),
	('/pole_040 { (%s) show_money } def',  ('zsdrai_suma_kwot_chorobowe_wypadkowe_fpu', ), 0, 0),
	('/pole_041 { (%s) show_money } def',  ('zsdrai_kwota_wypadkowe_fpp', ), 0, 0),
	('/pole_042 { (%s) show_money } def',  ('zsdrai_suma_kwot_chorobowe_wypadkowe_fpp', ), 0, 0),
	('/pole_043 { (%s) show_money } def',  ('zsdrai_kwota_chorobowe_fppfron', ), 0, 0),
	('/pole_044 { (%s) show_money } def',  ('zsdrai_kwota_wypadkowe_fppfron', ), 0, 0),
	('/pole_045 { (%s) show_money } def',  ('zsdrai_suma_kwot_chorobowe_wypadkowe_fppfron', ), 0, 0),
	('/pole_046 { (%s) show_money } def',  ('zsdrai_kwota_wypadkowe_fpfk', ), 0, 0),
	('/pole_047 { (%s) show_money } def',  ('zsdrai_suma_kwot_chorobowe_wypadkowe_fpfk', ), 0, 0),
	('/pole_048 { (%s) show_money } def',  ('zsdrai_kwota_spoleczne', ), 0, 0),
	('/pole_049 { (%s) show_money } def',  ('zwdra_kwota_wyplaconych_chorobowe', ), 0, 0),
	('/pole_050 { (%s) show_money } def',  ('zwdra_kwota_wynagrodzenia_chorobowe', ), 0, 0),
	('/pole_051 { (%s) show_money } def',  ('zwdra_kwota_wyplaconych_wypadkowe', ), 0, 0),
	('/pole_052 { (%s) show_money } def',  ('zwdra_kwota_wyplaconych_fzbp', ), 0, 0),
	('/pole_053 { (%s) show_money } def',  ('zwdra_laczna_kwota_do_potracenia', ), 0, 0),
	('/pole_054 { (%s) show_money } def',  ('rivdra_kwota_do_zwrotu_przez_zus', ), 0, 0),
	('/pole_055 { (%s) show_money } def',  ('rivdra_kwota_do_zaplaty_przez_platnika', ), 0, 0),
	('/pole_056 { (%s) show_money } def',  ('zsdra_kwota_do_przekazania_pp', ), 0, 0),
	('/pole_057 { (%s) show_money } def',  ('zsdra_kwota_finansowana_przez_fk', ), 0, 0),
	('/pole_058 { (%s) show_money } def',  ('zsdra_kwota_naleznego_wynagrodzenia', ), 0, 0),
	('/pole_059 { (%s) show_money } def',  ('zsdra_kwota_do_zaplaty', ), 0, 0),
	('/pole_060 { (%s) show_money } def',  ('zdrav_kwota_skladek_na_fp', ), 0, 0),
	('/pole_061 { (%s) show_money } def',  ('zdrav_kwota_skladek_na_fgsp', ), 0, 0),
	('/pole_062 { (%s) show_money } def',  ('zdrav_kwota_do_zaplaty', ), 0, 0),
	('/pole_063 { (%s) show_money } def',  ('lskd_laczna_suma_kwot_do_zaplaty', ), 0, 0),
	('/pole_064 { (%s) show_money } def',  ('kndk_kwota_doplaty_na_us', ), 0, 0),
	('/pole_065 { (%s) show_money } def',  ('kndk_kwota_doplaty_na_uz', ), 0, 0),
	('/pole_066 { (%s) show_money } def',  ('kndk_kwota_doplaty_na_fpifgsp', ), 0, 0),
	('/pole_067 { (%s) show_money } def',  ('kndk_laczna_kwota_doplat', ), 0, 0),
	('/pole_068 { (%s) show_sec_code } def',  ('dddu_kod_tytulu_ubezpieczenia', ), 0, 0),
	('/pole_069 { (%s) show_money } def',  ('dddu_podstawa_emerytalne_rentowe', ), 0, 0),
	('/pole_070 { (%s) show_money } def',  ('dddu_podstawa_chorobowe_wypadkowe', ), 0, 0),
	('/pole_071 { (%s) show_money } def',  ('dddu_podstawa_zdrowotne', ), 0, 0),
	('/pole_072 { (%s) show_field } def',  ('dddu_informacje_o_przekroczeniu', ), 0, 0),
	('/pole_073 { (%s) show_field } def',  ('opls_liczba_kartek_rca', ), 0, 0),
	('/pole_074 { (%s) show_field } def',  ('opls_liczba_kartek_rna', ), 0, 0),
	('/pole_075 { (%s) show_field } def',  ('opls_liczba_kartek_rza', ), 0, 0),
	('/pole_076 { (%s) show_field } def',  ('opls_liczba_kartek_rpa', ), 0, 0),
	('/pole_077 { (%s) show_field } def',  ('opls_liczba_kartek_rga', ), 0, 0),
	('/pole_078 { (%s) show_field } def',  ('opls_laczna_liczba', ), 0, 0),
	('/pole_079 { (%s) show_id } def',  ('opls_identyfikator_deklaracji', ), 0, 0),
	('/pole_080 { (%s) show_date } def',  ('opls_data', ), 0, 0)])


tab_druku['zuszcza'] = (3, [
	('/pole_001 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
	('/pole_002 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
	('/pole_003 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
	('/pole_004 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
	('/pole_005 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
	('/pole_006 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
	('/pole_007 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
	('/pole_008 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
	('/pole_009 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
	('/pole_010 { (%s) show_field } def', ('dau_pesel', ), 0, 0),
	('/pole_011 { (%s) show_field } def', ('dau_nip', ), 0, 0),
	('/pole_012 { (%s) show_field } def', ('dau_rodzaj_dokumentu', ), 0, 0),
	('/pole_013 { (%s) show_field } def', ('dau_seria_numer', ), 0, 0),
	('/pole_014 { (%s) show_field } def', ('dau_nazwisko', ), 0, 0),
	('/pole_015 { (%s) show_field } def', ('dau_imie_pierwsze', ), 0, 0),
	('/pole_016 { (%s) show_date } def', ('dau_data_urodzenia', ), 0, 0),
	('/pole_017 { (%s) show_field } def', ('docrba_zgloszenie_nczr', ), 1, 0),
	('/pole_018 { (%s) show_date } def', ('docrba_data_uzyskania_uuz', ), 1, 0),
	('/pole_019 { (%s) show_field } def', ('docrba_pesel', ), 1, 0),
	('/pole_020 { (%s) show_field } def', ('docrba_nip', ), 1, 0),
	('/pole_021 { (%s) show_field } def', ('docrba_rodzaj_dokumentu', ), 1, 0),
	('/pole_022 { (%s) show_field } def', ('docrba_seria_numer', ), 1, 0),
	('/pole_023 { (%s) show_field } def', ('docrba_nazwisko', ), 1, 0),
	('/pole_024 { (%s) show_field } def', ('docrba_imie_pierwsze', ), 1, 0),
	('/pole_025 { (%s) show_date } def', ('docrba_data_urodzenia', ), 1, 0),
	('/pole_026 { (%s) show_field } def', ('docrba_kod_pokrewienstwa', ), 1, 0),
	('/pole_027 { (%s) show_field } def', ('docrba_wylaczne_utrzymanie', ), 1, 0),
	('/pole_028 { (%s) show_field } def', ('docrba_wspolne_gospodarstwo', ), 1, 0),
	('/pole_029 { (%s) show_field } def', ('docrba_kod_niepelnosprawn', ), 1, 0),
	('/pole_030 { (%s) show_field } def', ('docrba_zgloszenie_nczr', ), 2, 0),
	('/pole_031 { (%s) show_date } def', ('docrba_data_uzyskania_uuz', ), 2, 0),
	('/pole_032 { (%s) show_field } def', ('docrba_pesel', ), 2, 0),
	('/pole_033 { (%s) show_field } def', ('docrba_nip', ), 2, 0),
	('/pole_034 { (%s) show_field } def', ('docrba_rodzaj_dokumentu', ), 2, 0),
	('/pole_035 { (%s) show_field } def', ('docrba_seria_numer', ), 2, 0),
	('/pole_036 { (%s) show_field } def', ('docrba_nazwisko', ), 2, 0),
	('/pole_037 { (%s) show_field } def', ('docrba_imie_pierwsze', ), 2, 0),
	('/pole_038 { (%s) show_date } def', ('docrba_data_urodzenia', ), 2, 0),
	('/pole_039 { (%s) show_field } def', ('docrba_kod_pokrewienstwa', ), 2, 0),
	('/pole_040 { (%s) show_field } def', ('docrba_wylaczne_utrzymanie', ), 2, 0),
	('/pole_041 { (%s) show_field } def', ('docrba_wspolne_gospodarstwo', ), 2, 0),
	('/pole_042 { (%s) show_field } def', ('docrba_kod_niepelnosprawn', ), 2, 0),
	('/pole_043 { (%s) show_field } def', ('docrba_zgloszenie_nczr', ), 3, 0),
	('/pole_044 { (%s) show_date } def', ('docrba_data_uzyskania_uuz', ), 3, 0),
	('/pole_045 { (%s) show_field } def', ('docrba_pesel', ), 3, 0),
	('/pole_046 { (%s) show_field } def', ('docrba_nip', ), 3, 0),
	('/pole_047 { (%s) show_field } def', ('docrba_rodzaj_dokumentu', ), 3, 0),
	('/pole_048 { (%s) show_field } def', ('docrba_seria_numer', ), 3, 0),
	('/pole_049 { (%s) show_field } def', ('docrba_nazwisko', ), 3, 0),
	('/pole_050 { (%s) show_field } def', ('docrba_imie_pierwsze', ), 3, 0),
	('/pole_051 { (%s) show_date } def', ('docrba_data_urodzenia', ), 3, 0),
	('/pole_052 { (%s) show_field } def', ('docrba_kod_pokrewienstwa', ), 3, 0),
	('/pole_053 { (%s) show_field } def', ('docrba_wylaczne_utrzymanie', ), 3, 0),
	('/pole_054 { (%s) show_field } def', ('docrba_wspolne_gospodarstwo', ), 3, 0),
	('/pole_055 { (%s) show_field } def', ('docrba_kod_niepelnosprawn', ), 3, 0),
	('/pole_056 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszza'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozza_zgloszenie_do_uz', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozza_zgloszenie_korekty', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_011 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('dau_pesel', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('dau_nip', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('dau_rodzaj_dokumentu', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('dau_seria_numer', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('dau_nazwisko', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('dau_imie_pierwsze', ), 0, 0),
        ('/pole_018 { (%s) show_date } def', ('dau_data_urodzenia', ), 0, 0),
        ('/pole_019 { (%s) show_field } def', ('deoz_imie_drugie', ), 0, 0),
        ('/pole_020 { (%s) show_field } def', ('deoz_nazwisko_rodowe', ), 0, 0),
        ('/pole_021 { (%s) show_field } def', ('deoz_obywatelstwo', ), 0, 0),
        ('/pole_022 { (%s) show_field } def', ('deoz_plec', ), 0, 0),
        ('/pole_023 { (%s) show_field } def', ('deoz_czy_ma_karte', ), 0, 0),
        ('/pole_024 { (%s) show_field } def', ('deoz_czy_czasowo', ), 0, 0),
        ('/pole_025 { (%s) show_sec_code } def', ('tyubz_kod', ), 0, 0),
        ('/pole_026 { (%s) show_date } def', ('doou_data_powstania', ), 0, 0),
        ('/pole_027 { (%s) show_date } def', ('dodu_data_zdrowotnego', ), 0, 0),
        ('/pole_028 { (%s) show_money } def', ('dodu_kwota', ), 0, 0),
        ('/pole_029 { (%s) show_field } def', ('dokc_kod_kasy', ), 0, 0),
        ('/pole_030 { (%s) show_field } def', ('dokc_nazwa_kasy', ), 0, 0),
        ('/pole_031 { (%s) show_date } def', ('dokc_data_zawarcia', ), 0, 0),
        ('/pole_032 { (%s) show_zip } def', ('azmo_kod', ), 0, 0),
        ('/pole_033 { (%s) show_field } def', ('azmo_miejscowosc', ), 0, 0),
        ('/pole_034 { (%s) show_field } def', ('azmo_gmina', ), 0, 0),
        ('/pole_035 { (%s) show_field } def', ('azmo_ulica', ), 0, 0),
        ('/pole_036 { (%s) show_field } def', ('azmo_dom', ), 0, 0),
        ('/pole_037 { (%s) show_field } def', ('azmo_lokal', ), 0, 0),
        ('/pole_038 { (%s) show_field } def', ('azmo_telefon', ), 0, 0),
        ('/pole_039 { (%s) show_field } def', ('azmo_fax', ), 0, 0),
        ('/pole_040 { (%s) show_zip } def', ('adza_kod', ), 0, 0),
        ('/pole_041 { (%s) show_field } def', ('adza_miejscowosc', ), 0, 0),
        ('/pole_042 { (%s) show_field } def', ('adza_gmina', ), 0, 0),
        ('/pole_043 { (%s) show_field } def', ('adza_ulica', ), 0, 0),
        ('/pole_044 { (%s) show_field } def', ('adza_dom', ), 0, 0),
        ('/pole_045 { (%s) show_field } def', ('adza_lokal', ), 0, 0),
        ('/pole_046 { (%s) show_field } def', ('adza_telefon', ), 0, 0),
        ('/pole_047 { (%s) show_field } def', ('adza_fax', ), 0, 0),
        ('/pole_048 { (%s) show_zip } def', ('adkb_kod', ), 0, 0),
        ('/pole_049 { (%s) show_field } def', ('adkb_miejscowosc', ), 0, 0),
        ('/pole_050 { (%s) show_field } def', ('adkb_ulica', ), 0, 0),
        ('/pole_051 { (%s) show_field } def', ('adkb_dom', ), 0, 0),
        ('/pole_052 { (%s) show_field } def', ('adkb_lokal', ), 0, 0),
        ('/pole_053 { (%s) show_field } def', ('adkb_skrytka', ), 0, 0),
        ('/pole_054 { (%s) show_field } def', ('adkb_telefon', ), 0, 0),
        ('/pole_055 { (%s) show_field } def', ('adkb_fax', ), 0, 0),
        ('/pole_056 { (%s) show_field } def', ('adkb_email', ), 0, 0),
        ('/pole_057 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszwua'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozwua_wyr_z_us_i_uz', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozwua_wyr_z_us', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dozwua_wyr_z_uz', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dozwua_korekta_wyr_z_us', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_013 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('dau_pesel', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('dau_nip', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('dau_rodzaj_dokumentu', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('dau_seria_numer', ), 0, 0),
        ('/pole_018 { (%s) show_field } def', ('dau_nazwisko', ), 0, 0),
        ('/pole_019 { (%s) show_field } def', ('dau_imie_pierwsze', ), 0, 0),
        ('/pole_020 { (%s) show_date } def', ('dau_data_urodzenia', ), 0, 0),
        ('/pole_021 { (%s) show_sec_code } def', ('wubd_kod', ), 0, 0),
        ('/pole_022 { (%s) show_field } def', ('wubd_emerytalne', ), 0, 0),
        ('/pole_023 { (%s) show_date } def', ('wubd_data_emerytalna', ), 0, 0),
        ('/pole_024 { (%s) show_field } def', ('wubd_kod_przyczyny_emerytalny', ), 0, 0),
        ('/pole_025 { (%s) show_field } def', ('wubd_rentowe', ), 0, 0),
        ('/pole_026 { (%s) show_date } def', ('wubd_data_rentowa', ), 0, 0),
        ('/pole_027 { (%s) show_field } def', ('wubd_kod_przyczyny_rentowy', ), 0, 0),
        ('/pole_028 { (%s) show_field } def', ('wubd_chorobowe', ), 0, 0),
        ('/pole_029 { (%s) show_date } def', ('wubd_data_chorobowa', ), 0, 0),
        ('/pole_030 { (%s) show_field } def', ('wubd_kod_przyczyny_chorobowy', ), 0, 0),
        ('/pole_031 { (%s) show_field } def', ('wubd_wypadkowe', ), 0, 0),
        ('/pole_032 { (%s) show_date } def', ('wubd_data_wypadkowa', ), 0, 0),
        ('/pole_033 { (%s) show_field } def', ('wubd_kod_przyczyny_wypadkowy', ), 0, 0),
        ('/pole_034 { (%s) show_field } def', ('wubd_zdrowotne', ), 0, 0),
        ('/pole_035 { (%s) show_date } def', ('wubd_data_zdrowotna', ), 0, 0),
        ('/pole_036 { (%s) show_field } def', ('wubd_kod_przyczyny_zdrowotny', ), 0, 0),
        ('/pole_037 { (%s) show_sec_code } def', ('wnou_kod', ), 0, 0),
        ('/pole_038 { (%s) show_date } def', ('wnou_data', ), 0, 0),
        ('/pole_039 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zusziua'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('doziua_zgloszenie_korekty', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_010 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('diop_pesel', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('diop_nip', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('diop_rodzaj_dokumentu', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('diop_seria_numer', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('diop_nazwisko', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('diop_imie_pierwsze', ), 0, 0),
        ('/pole_017 { (%s) show_date } def', ('diop_data_urodzenia', ), 0, 0),
        ('/pole_018 { (%s) show_field } def', ('adiu_pesel', ), 0, 0),
        ('/pole_019 { (%s) show_field } def', ('adiu_nip', ), 0, 0),
        ('/pole_020 { (%s) show_field } def', ('adiu_rodzaj_dokumentu', ), 0, 0),
        ('/pole_021 { (%s) show_field } def', ('adiu_seria_numer', ), 0, 0),
        ('/pole_022 { (%s) show_field } def', ('adiu_nazwisko', ), 0, 0),
        ('/pole_023 { (%s) show_field } def', ('adiu_imie_pierwsze', ), 0, 0),
        ('/pole_024 { (%s) show_date } def', ('adiu_data_urodzenia', ), 0, 0),
        ('/pole_025 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszipa'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozipa_zgloszenie_korekty_prawna', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozipa_zgloszenie_korekty_fizyczna', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_011 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('adip_nip', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('adip_regon', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('adip_pesel', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('adip_rodzaj_dokumentu', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('adip_seria_numer', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('adip_nazwa_skrocona', ), 0, 0),
        ('/pole_018 { (%s) show_field } def', ('adip_nazwisko', ), 0, 0),
        ('/pole_019 { (%s) show_field } def', ('adip_imie_pierwsze', ), 0, 0),
        ('/pole_020 { (%s) show_date } def', ('adip_data_urodzenia', ), 0, 0),
        ('/pole_021 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszfa'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozpf_zgloszenie_platnika_skladek', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozpf_zgloszenie_korekty', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_011 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('depl_imie_drugie', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('depl_miejsce_urodzenia', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('depl_obywatelstwo', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('ppdb_kod_rodzaju', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('ppdb_numer_uprawnienia', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('ppdb_nazwa_organu', ), 0, 0),
        ('/pole_018 { (%s) show_date } def', ('ppdb_data_wydania', ), 0, 0),
        ('/pole_019 { (%s) show_date } def', ('ppdb_data_rozpoczecia', ), 0, 0),
        ('/pole_020 { (%s) show_field } def', ('dorb_numer', ), 0, 0),
        ('/pole_021 { (%s) show_field } def', ('dorb_inne_rachunki', ), 0, 0),
        ('/pole_022 { (%s) show_field } def', ('idop_status', ), 0, 0),
        ('/pole_023 { (%s) show_date } def', ('idop_data_otrzymania', ), 0, 0),
        ('/pole_024 { (%s) show_date } def', ('idop_data_utraty', ), 0, 0),
        ('/pole_025 { (%s) show_date } def', ('idop_data_powstania', ), 0, 0),
        ('/pole_026 { (%s) show_field } def', ('idop_adres', ), 0, 0),
        ('/pole_027 { (%s) show_zip } def', ('aspl_kod', ), 0, 0),
        ('/pole_028 { (%s) show_field } def', ('aspl_miejscowosc', ), 0, 0),
        ('/pole_029 { (%s) show_field } def', ('aspl_gmina', ), 0, 0),
        ('/pole_030 { (%s) show_field } def', ('aspl_ulica', ), 0, 0),
        ('/pole_031 { (%s) show_field } def', ('aspl_dom', ), 0, 0),
        ('/pole_032 { (%s) show_field } def', ('aspl_lokal', ), 0, 0),
        ('/pole_033 { (%s) show_field } def', ('aspl_telefon', ), 0, 0),
        ('/pole_034 { (%s) show_field } def', ('aspl_fax', ), 0, 0),
        ('/pole_035 { (%s) show_field } def', ('aspl_email', ), 0, 0),
        ('/pole_036 { (%s) show_zip } def', ('aszp_kod', ), 0, 0),
        ('/pole_037 { (%s) show_field } def', ('aszp_miejscowosc', ), 0, 0),
        ('/pole_038 { (%s) show_field } def', ('aszp_gmina', ), 0, 0),
        ('/pole_039 { (%s) show_field } def', ('aszp_ulica', ), 0, 0),
        ('/pole_040 { (%s) show_field } def', ('aszp_dom', ), 0, 0),
        ('/pole_041 { (%s) show_field } def', ('aszp_lokal', ), 0, 0),
        ('/pole_042 { (%s) show_field } def', ('aszp_telefon', ), 0, 0),
        ('/pole_043 { (%s) show_field } def', ('aszp_fax', ), 0, 0),
        ('/pole_044 { (%s) show_field } def', ('aszp_email', ), 0, 0),
        ('/pole_045 { (%s) show_zip } def', ('adkp_kod', ), 0, 0),
        ('/pole_046 { (%s) show_field } def', ('adkp_miejscowosc', ), 0, 0),
        ('/pole_047 { (%s) show_field } def', ('adkp_ulica', ), 0, 0),
        ('/pole_048 { (%s) show_field } def', ('adkp_dom', ), 0, 0),
        ('/pole_049 { (%s) show_field } def', ('adkp_lokal', ), 0, 0),
        ('/pole_050 { (%s) show_field } def', ('adkp_telefon_do_tt', ), 0, 0),
        ('/pole_051 { (%s) show_field } def', ('adkp_skrytka', ), 0, 0),
        ('/pole_052 { (%s) show_field } def', ('adkp_telefon', ), 0, 0),
        ('/pole_053 { (%s) show_field } def', ('adkp_fax', ), 0, 0),
        ('/pole_054 { (%s) show_field } def', ('adkp_email', ), 0, 0),
        ('/pole_055 { (%s) show_field } def', ('dobr_nip', ), 0, 0),
        ('/pole_056 { (%s) show_field } def', ('dobr_regon', ), 0, 0),
        ('/pole_057 { (%s) show_field } def', ('dobr_nazwa_skrocona', ), 0, 0),
        ('/pole_058 { (%s) show_field } def', ('opl2_liczba_zba', ), 0, 0),
        ('/pole_059 { (%s) show_field } def', ('opl2_liczba_zaa', ), 0, 0),
        ('/pole_060 { (%s) show_date } def', ('opl2_data', ), 0, 0)])

tab_druku['zusrca'] = (3, [
        ('/pole_001 { (%s) show_id } def', ('dorca_identyfikator_raportu', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dorca_nr_kart_rap_rca', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_011 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('ddorca_nazwisko', ), 1, 0),
        ('/pole_013 { (%s) show_field } def', ('ddorca_imie_pierwsze', ), 1, 0),
        ('/pole_014 { (%s) show_field } def', ('ddorca_typ_identyf', ), 1, 0),
        ('/pole_015 { (%s) show_field } def', ('ddorca_identyfikator', ), 1, 0),
        ('/pole_016 { (%s) show_sec_code } def', ('ddorca_kod_tyt_ubez', ), 1, 0),
        ('/pole_017 { (%s) show_field } def', ('ddorca_inf_o_przekr_rocz_podst_wym_skl_na_ue_i_ren', ), 1, 0),
        ('/pole_018 { (%s  %s) show_field } def', ('ddorca_wym_czasu_pr_l', 'ddorca_wym_czasu_pr_m', ), 1, 0),
        ('/pole_019 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_ue_i_ren', ), 1, 0),
        ('/pole_020 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uch_i_wypad', ), 1, 0),
        ('/pole_021 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uz', ), 1, 0),
        ('/pole_022 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_ub', ), 1, 0),
        ('/pole_023 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_ub', ), 1, 0),
        ('/pole_024 { (%s) show_money } def', ('ddorca_kw_skl_na_uch', ), 1, 0),
        ('/pole_025 { (%s) show_money } def', ('ddorca_kw_skl_na_uz', ), 1, 0),
        ('/pole_026 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_pl', ), 1, 0),
        ('/pole_027 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_pl', ), 1, 0),
        ('/pole_028 { (%s) show_money } def', ('ddorca_kw_skl_na_uw', ), 1, 0),
        ('/pole_029 { (%s) show_money } def', ('ddorca_kw_ob_podst_wym_skl_na_us_z_tyt_opl_skl_w_ram_ppe', ), 1, 0),
        ('/pole_030 { (%s) show_money } def', ('ddorca_lacz_kw_skl', ), 1, 1),
        ('/pole_031 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_wypl_jest_zr', ), 1, 0),
        ('/pole_032 { (%s) show_money } def', ('ddorca_kw_wypl_zr', ), 1, 0),
        ('/pole_033 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_jest_wypl_zp', ), 1, 0),
        ('/pole_034 { (%s) show_money } def', ('ddorca_kw_wypl_zp', ), 1, 0),
        ('/pole_035 { (%s) show_money } def', ('ddorca_kw_wypl_zw', ), 1, 0),
        ('/pole_036 { (%s) show_money } def', ('ddorca_lacz_kw_wypl_zas_rwp', ), 1, 1),
        ('/pole_037 { (%s) show_field } def', ('ddorca_nazwisko', ), 2, 0),
        ('/pole_038 { (%s) show_field } def', ('ddorca_imie_pierwsze', ), 2, 0),
        ('/pole_039 { (%s) show_field } def', ('ddorca_typ_identyf', ), 2, 0),
        ('/pole_040 { (%s) show_field } def', ('ddorca_identyfikator', ), 2, 0),
        ('/pole_041 { (%s) show_sec_code } def', ('ddorca_kod_tyt_ubez', ), 2, 0),
        ('/pole_042 { (%s) show_field } def', ('ddorca_inf_o_przekr_rocz_podst_wym_skl_na_ue_i_ren', ), 2, 0),
        ('/pole_043 { (%s  %s) show_field } def', ('ddorca_wym_czasu_pr_l', 'ddorca_wym_czasu_pr_m', ), 2, 0),
        ('/pole_044 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_ue_i_ren', ), 2, 0),
        ('/pole_045 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uch_i_wypad', ), 2, 0),
        ('/pole_046 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uz', ), 2, 0),
        ('/pole_047 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_ub', ), 2, 0),
        ('/pole_048 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_ub', ), 2, 0),
        ('/pole_049 { (%s) show_money } def', ('ddorca_kw_skl_na_uch', ), 2, 0),
        ('/pole_050 { (%s) show_money } def', ('ddorca_kw_skl_na_uz', ), 2, 0),
        ('/pole_051 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_pl', ), 2, 0),
        ('/pole_052 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_pl', ), 2, 0),
        ('/pole_053 { (%s) show_money } def', ('ddorca_kw_skl_na_uw', ), 2, 0),
        ('/pole_054 { (%s) show_money } def', ('ddorca_kw_ob_podst_wym_skl_na_us_z_tyt_opl_skl_w_ram_ppe', ), 2, 0),
        ('/pole_055 { (%s) show_money } def', ('ddorca_lacz_kw_skl', ), 2, 1),
        ('/pole_056 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_wypl_jest_zr', ), 2, 0),
        ('/pole_057 { (%s) show_money } def', ('ddorca_kw_wypl_zr', ), 2, 0),
        ('/pole_058 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_jest_wypl_zp', ), 2, 0),
        ('/pole_059 { (%s) show_money } def', ('ddorca_kw_wypl_zp', ), 2, 0),
        ('/pole_060 { (%s) show_money } def', ('ddorca_kw_wypl_zw', ), 2, 0),
        ('/pole_061 { (%s) show_money } def', ('ddorca_lacz_kw_wypl_zas_rwp', ), 2, 1),
        ('/pole_062 { (%s) show_field } def', ('ddorca_nazwisko', ), 3, 0),
        ('/pole_063 { (%s) show_field } def', ('ddorca_imie_pierwsze', ), 3, 0),
        ('/pole_064 { (%s) show_field } def', ('ddorca_typ_identyf', ), 3, 0),
        ('/pole_065 { (%s) show_field } def', ('ddorca_identyfikator', ), 3, 0),
        ('/pole_066 { (%s) show_sec_code } def', ('ddorca_kod_tyt_ubez', ), 3, 0),
        ('/pole_067 { (%s) show_field } def', ('ddorca_inf_o_przekr_rocz_podst_wym_skl_na_ue_i_ren', ), 3, 0),
        ('/pole_068 { (%s  %s) show_field } def', ('ddorca_wym_czasu_pr_l', 'ddorca_wym_czasu_pr_m', ), 3, 0),
        ('/pole_069 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_ue_i_ren', ), 3, 0),
        ('/pole_070 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uch_i_wypad', ), 3, 0),
        ('/pole_071 { (%s) show_money } def', ('ddorca_podst_wym_skl_na_uz', ), 3, 0),
        ('/pole_072 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_ub', ), 3, 0),
        ('/pole_073 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_ub', ), 3, 0),
        ('/pole_074 { (%s) show_money } def', ('ddorca_kw_skl_na_uch', ), 3, 0),
        ('/pole_075 { (%s) show_money } def', ('ddorca_kw_skl_na_uz', ), 3, 0),
        ('/pole_076 { (%s) show_money } def', ('ddorca_kw_skl_na_ue_finans_przez_pl', ), 3, 0),
        ('/pole_077 { (%s) show_money } def', ('ddorca_kw_skl_na_ur_finans_przez_pl', ), 3, 0),
        ('/pole_078 { (%s) show_money } def', ('ddorca_kw_skl_na_uw', ), 3, 0),
        ('/pole_079 { (%s) show_money } def', ('ddorca_kw_ob_podst_wym_skl_na_us_z_tyt_opl_skl_w_ram_ppe', ), 3, 0),
        ('/pole_080 { (%s) show_money } def', ('ddorca_lacz_kw_skl', ), 3, 1),
        ('/pole_081 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_wypl_jest_zr', ), 3, 0),
        ('/pole_082 { (%s) show_money } def', ('ddorca_kw_wypl_zr', ), 3, 0),
        ('/pole_083 { (%s) show_field } def', ('ddorca_licz_os_na_ktore_jest_wypl_zp', ), 3, 0),
        ('/pole_084 { (%s) show_money } def', ('ddorca_kw_wypl_zp', ), 3, 0),
        ('/pole_085 { (%s) show_money } def', ('ddorca_kw_wypl_zw', ), 3, 0),
        ('/pole_086 { (%s) show_money } def', ('ddorca_lacz_kw_wypl_zas_rwp', ), 3, 1),
        ('/pole_087 { (%s) show_date } def', ('oplr_data', ), 0, 0),
        ('/pole_088 { (%d) show_money } def', ( ), 0, -1)])

tab_druku['zusrna'] = (2, [
        ('/pole_003 { (%s) show_id } def', ('dorna_identyfikator', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dorna_numer_kartki', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_013 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('ddo_nazwisko', ), 1, 0),
        ('/pole_015 { (%s) show_field } def', ('ddo_imie_pierwsze', ), 1, 0),
        ('/pole_016 { (%s) show_field } def', ('ddo_typ_identyfikatora', ), 1, 0),
        ('/pole_017 { (%s) show_field } def', ('ddo_identyfikator', ), 1, 0),
        ('/pole_018 { (%s) show_sec_code } def', ('ddo_kod_tytulu', ), 1, 0),
        ('/pole_019 { (%s) show_field } def', ('ddo_przekroczenie', ), 1, 0),
        ('/pole_020 { (%s  %s) show_field } def', ('ddo_wymiar_etatu_l', 'ddo_wymiar_etatu_m', ), 1, 0),
        ('/pole_021 { (%s) show_money } def', ('ddo_pods_ubez_emer_rent', ), 1, 0),
        ('/pole_022 { (%s) show_money } def', ('ddo_pods_ubez_chor_wyp', ), 1, 0),
        ('/pole_023 { (%s) show_money } def', ('ddo_pods_ubez_zdrowotne', ), 1, 0),
        ('/pole_024 { (%s) show_money } def', ('ddo_kwota_emerytalne_ubezp', ), 1, 0),
        ('/pole_025 { (%s) show_money } def', ('ddo_kwota_rentowe_ubezp', ), 1, 0),
        ('/pole_026 { (%s) show_money } def', ('ddo_kwota_chorobowe', ), 1, 0),
        ('/pole_027 { (%s) show_money } def', ('ddo_kwota_zdrowotne', ), 1, 0),
        ('/pole_028 { (%s) show_money } def', ('ddo_kwota_emerytalne_platnik', ), 1, 0),
        ('/pole_029 { (%s) show_money } def', ('ddo_kwota_rentowe_platnik', ), 1, 0),
        ('/pole_030 { (%s) show_money } def', ('ddo_kwota_wypadkowe', ), 1, 0),
        ('/pole_031 { (%s) show_money } def', ('ddo_kwota_obnizenia', ), 1, 0),
        ('/pole_032 { (%s) show_money } def', ('ddo_laczna_kwota', ), 1, 1),
        ('/pole_033 { (%s) show_field } def', ('ddo_liczba_osob_rodzinny', ), 1, 0),
        ('/pole_034 { (%s) show_money } def', ('ddo_kwota_zasilku_rodz', ), 1, 0),
        ('/pole_035 { (%s) show_money } def', ('ddo_kwota_zasilku_wych', ), 1, 0),
        ('/pole_036 { (%s) show_field } def', ('ddo_liczba_osob_pielegnacyjny', ), 1, 0),
        ('/pole_037 { (%s) show_money } def', ('ddo_kwota_zasilku_pielegnacyjny', ), 1, 0),
        ('/pole_038 { (%s) show_money } def', ('ddo_laczna_kwota_zasilkow', ), 1, 1),
        ('/pole_039 { (%s) show_field } def', ('ddo_liczba_dni_przepracowanych', ), 1, 0),
        ('/pole_040 { (%s) show_field } def', ('ddo_liczba_dni_wynikajacych', ), 1, 0),
        ('/pole_041 { (%s) show_field } def', ('ddo_kod_skladnika_1', ), 1, 0),
        ('/pole_042 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_1', ), 1, 0),
        ('/pole_043 { (%s) show_date } def', ('ddo_data_konczaca_okres_1', ), 1, 0),
        ('/pole_044 { (%s) show_money } def', ('ddo_kwota_skladnika_1', ), 1, 0),
        ('/pole_045 { (%s) show_field } def', ('ddo_kod_skladnika_2', ), 1, 0),
        ('/pole_046 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_2', ), 1, 0),
        ('/pole_047 { (%s) show_date } def', ('ddo_data_konczaca_okres_2', ), 1, 0),
        ('/pole_048 { (%s) show_money } def', ('ddo_kwota_skladnika_2', ), 1, 0),
        ('/pole_049 { (%s) show_field } def', ('ddo_kod_skladnika_3', ), 1, 0),
        ('/pole_050 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_3', ), 1, 0),
        ('/pole_051 { (%s) show_date } def', ('ddo_data_konczaca_okres_3', ), 1, 0),
        ('/pole_052 { (%s) show_money } def', ('ddo_kwota_skladnika_3', ), 1, 0),
        ('/pole_053 { (%s) show_field } def', ('ddo_kod_skladnika_4', ), 1, 0),
        ('/pole_054 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_4', ), 1, 0),
        ('/pole_055 { (%s) show_date } def', ('ddo_data_konczaca_okres_4', ), 1, 0),
        ('/pole_056 { (%s) show_money } def', ('ddo_kwota_skladnika_4', ), 1, 0),
        ('/pole_057 { (%s) show_field } def', ('ddo_kod_skladnika_5', ), 1, 0),
        ('/pole_058 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_5', ), 1, 0),
        ('/pole_059 { (%s) show_date } def', ('ddo_data_konczaca_okres_5', ), 1, 0),
        ('/pole_060 { (%s) show_money } def', ('ddo_kwota_skladnika_5', ), 1, 0),
        ('/pole_061 { (%s) show_field } def', ('ddo_kod_skladnika_6', ), 1, 0),
        ('/pole_062 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_6', ), 1, 0),
        ('/pole_063 { (%s) show_date } def', ('ddo_data_konczaca_okres_6', ), 1, 0),
        ('/pole_064 { (%s) show_money } def', ('ddo_kwota_skladnika_6', ), 1, 0),
        ('/pole_065 { (%s) show_field } def', ('ddo_kod_skladnika_7', ), 1, 0),
        ('/pole_066 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_7', ), 1, 0),
        ('/pole_067 { (%s) show_date } def', ('ddo_data_konczaca_okres_7', ), 1, 0),
        ('/pole_068 { (%s) show_money } def', ('ddo_kwota_skladnika_7', ), 1, 0),
        ('/pole_069 { (%s) show_field } def', ('ddo_kod_skladnika_8', ), 1, 0),
        ('/pole_070 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_8', ), 1, 0),
        ('/pole_071 { (%s) show_date } def', ('ddo_data_konczaca_okres_8', ), 1, 0),
        ('/pole_072 { (%s) show_money } def', ('ddo_kwota_skladnika_8', ), 1, 0),
        ('/pole_073 { (%s) show_field } def', ('ddo_kod_skladnika_9', ), 1, 0),
        ('/pole_074 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_9', ), 1, 0),
        ('/pole_075 { (%s) show_date } def', ('ddo_data_konczaca_okres_9', ), 1, 0),
        ('/pole_076 { (%s) show_money } def', ('ddo_kwota_skladnika_9', ), 1, 0),
        ('/pole_077 { (%s) show_field } def', ('ddo_kod_skladnika_10', ), 0, 0),
        ('/pole_078 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_10', ), 0, 0),
        ('/pole_079 { (%s) show_date } def', ('ddo_data_konczaca_okres_10', ), 0, 0),
        ('/pole_080 { (%s) show_money } def', ('ddo_kwota_skladnika_10', ), 0, 0),
        ('/pole_081 { (%s) show_money } def', ('ddo_suma_kwot', ), 1, 1),
        ('/pole_082 { (%s) show_field } def', ('ddo_nazwisko', ), 2, 0),
        ('/pole_083 { (%s) show_field } def', ('ddo_imie_pierwsze', ), 2, 0),
        ('/pole_084 { (%s) show_field } def', ('ddo_typ_identyfikatora', ), 2, 0),
        ('/pole_085 { (%s) show_field } def', ('ddo_identyfikator', ), 2, 0),
        ('/pole_086 { (%s) show_sec_code } def', ('ddo_kod_tytulu', ), 2, 0),
        ('/pole_087 { (%s) show_field } def', ('ddo_przekroczenie', ), 2, 0),
        ('/pole_088 { (%s  %s) show_field } def', ('ddo_wymiar_etatu_l', 'ddo_wymiar_etatu_m', ), 2, 0),
        ('/pole_089 { (%s) show_money } def', ('ddo_pods_ubez_emer_rent', ), 2, 0),
        ('/pole_090 { (%s) show_money } def', ('ddo_pods_ubez_chor_wyp', ), 2, 0),
        ('/pole_091 { (%s) show_money } def', ('ddo_pods_ubez_zdrowotne', ), 2, 0),
        ('/pole_092 { (%s) show_money } def', ('ddo_kwota_emerytalne_ubezp', ), 2, 0),
        ('/pole_093 { (%s) show_money } def', ('ddo_kwota_rentowe_ubezp', ), 2, 0),
        ('/pole_094 { (%s) show_money } def', ('ddo_kwota_chorobowe', ), 2, 0),
        ('/pole_095 { (%s) show_money } def', ('ddo_kwota_zdrowotne', ), 2, 0),
        ('/pole_096 { (%s) show_money } def', ('ddo_kwota_emerytalne_platnik', ), 2, 0),
        ('/pole_097 { (%s) show_money } def', ('ddo_kwota_rentowe_platnik', ), 2, 0),
        ('/pole_098 { (%s) show_money } def', ('ddo_kwota_wypadkowe', ), 2, 0),
        ('/pole_099 { (%s) show_money } def', ('ddo_kwota_obnizenia', ), 2, 0),
        ('/pole_100 { (%s) show_money } def', ('ddo_laczna_kwota', ), 2, 1),
        ('/pole_101 { (%s) show_field } def', ('ddo_liczba_osob_rodzinny', ), 2, 0),
        ('/pole_102 { (%s) show_money } def', ('ddo_kwota_zasilku_rodz', ), 2, 0),
        ('/pole_103 { (%s) show_money } def', ('ddo_kwota_zasilku_wych', ), 2, 0),
        ('/pole_104 { (%s) show_field } def', ('ddo_liczba_osob_pielegnacyjny', ), 2, 0),
        ('/pole_105 { (%s) show_money } def', ('ddo_kwota_zasilku_pielegnacyjny', ), 2, 0),
        ('/pole_106 { (%s) show_money } def', ('ddo_laczna_kwota_zasilkow', ), 2, 1),
        ('/pole_107 { (%s) show_field } def', ('ddo_liczba_dni_przepracowanych', ), 2, 0),
        ('/pole_108 { (%s) show_field } def', ('ddo_liczba_dni_wynikajacych', ), 2, 0),
        ('/pole_109 { (%s) show_field } def', ('ddo_kod_skladnika_1', ), 2, 0),
        ('/pole_110 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_1', ), 2, 0),
        ('/pole_111 { (%s) show_date } def', ('ddo_data_konczaca_okres_1', ), 2, 0),
        ('/pole_112 { (%s) show_money } def', ('ddo_kwota_skladnika_1', ), 2, 0),
        ('/pole_113 { (%s) show_field } def', ('ddo_kod_skladnika_2', ), 2, 0),
        ('/pole_114 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_2', ), 2, 0),
        ('/pole_115 { (%s) show_date } def', ('ddo_data_konczaca_okres_2', ), 2, 0),
        ('/pole_116 { (%s) show_money } def', ('ddo_kwota_skladnika_2', ), 2, 0),
        ('/pole_117 { (%s) show_field } def', ('ddo_kod_skladnika_3', ), 2, 0),
        ('/pole_118 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_3', ), 2, 0),
        ('/pole_119 { (%s) show_date } def', ('ddo_data_konczaca_okres_3', ), 2, 0),
        ('/pole_120 { (%s) show_money } def', ('ddo_kwota_skladnika_3', ), 2, 0),
        ('/pole_121 { (%s) show_field } def', ('ddo_kod_skladnika_4', ), 2, 0),
        ('/pole_122 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_4', ), 2, 0),
        ('/pole_123 { (%s) show_date } def', ('ddo_data_konczaca_okres_4', ), 2, 0),
        ('/pole_124 { (%s) show_money } def', ('ddo_kwota_skladnika_4', ), 2, 0),
        ('/pole_125 { (%s) show_field } def', ('ddo_kod_skladnika_5', ), 2, 0),
        ('/pole_126 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_5', ), 2, 0),
        ('/pole_127 { (%s) show_date } def', ('ddo_data_konczaca_okres_5', ), 2, 0),
        ('/pole_128 { (%s) show_money } def', ('ddo_kwota_skladnika_5', ), 2, 0),
        ('/pole_129 { (%s) show_field } def', ('ddo_kod_skladnika_6', ), 2, 0),
        ('/pole_130 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_6', ), 2, 0),
        ('/pole_131 { (%s) show_date } def', ('ddo_data_konczaca_okres_6', ), 2, 0),
        ('/pole_132 { (%s) show_money } def', ('ddo_kwota_skladnika_6', ), 2, 0),
        ('/pole_133 { (%s) show_field } def', ('ddo_kod_skladnika_7', ), 2, 0),
        ('/pole_134 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_7', ), 2, 0),
        ('/pole_135 { (%s) show_date } def', ('ddo_data_konczaca_okres_7', ), 2, 0),
        ('/pole_136 { (%s) show_money } def', ('ddo_kwota_skladnika_7', ), 2, 0),
        ('/pole_137 { (%s) show_field } def', ('ddo_kod_skladnika_8', ), 2, 0),
        ('/pole_138 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_8', ), 2, 0),
        ('/pole_139 { (%s) show_date } def', ('ddo_data_konczaca_okres_8', ), 2, 0),
        ('/pole_140 { (%s) show_money } def', ('ddo_kwota_skladnika_8', ), 2, 0),
        ('/pole_141 { (%s) show_field } def', ('ddo_kod_skladnika_9', ), 2, 0),
        ('/pole_142 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_9', ), 2, 0),
        ('/pole_143 { (%s) show_date } def', ('ddo_data_konczaca_okres_9', ), 2, 0),
        ('/pole_144 { (%s) show_money } def', ('ddo_kwota_skladnika_9', ), 2, 0),
        ('/pole_145 { (%s) show_field } def', ('ddo_kod_skladnika_10', ), 0, 0),
        ('/pole_146 { (%s) show_date } def', ('ddo_data_rozpoczynajaca_okres_10', ), 0, 0),
        ('/pole_147 { (%s) show_date } def', ('ddo_data_konczaca_okres_10', ), 0, 0),
        ('/pole_148 { (%s) show_money } def', ('ddo_kwota_skladnika_10', ), 0, 0),
        ('/pole_149 { (%s) show_money } def', ('ddo_suma_kwot', ), 2, 1),
        ('/pole_150 { (%s) show_date } def', ('oplr_data', ), 0, 0),
        ('/pole_151 { (%d) show_money } def', ( ), 0, -1)])

tab_druku['zuszua'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozua_zgloszenie_do_us_i_uz', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozua_zgloszenie_do_us', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dozua_zgloszenie_korekty', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_012 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('dau_pesel', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('dau_nip', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('dau_rodzaj_dokumentu', ), 0, 0),
        ('/pole_016 { (%s) show_field } def', ('dau_seria_numer', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('dau_nazwisko', ), 0, 0),
        ('/pole_018 { (%s) show_field } def', ('dau_imie_pierwsze', ), 0, 0),
        ('/pole_019 { (%s) show_date } def', ('dau_data_urodzenia', ), 0, 0),
        ('/pole_020 { (%s) show_field } def', ('deoz_imie_drugie', ), 0, 0),
        ('/pole_021 { (%s) show_field } def', ('deoz_nazwisko_rodowe', ), 0, 0),
        ('/pole_022 { (%s) show_field } def', ('deoz_obywatelstwo', ), 0, 0),
        ('/pole_023 { (%s) show_field } def', ('deoz_plec', ), 0, 0),
        ('/pole_024 { (%s) show_field } def', ('deoz_czy_ma_karte', ), 0, 0),
        ('/pole_025 { (%s) show_field } def', ('deoz_czy_czasowo', ), 0, 0),
        ('/pole_026 { (%s) show_sec_code } def', ('tyub_kod', ), 0, 0),
        ('/pole_027 { (%s) show_date } def', ('tyub_okres_od', ), 0, 0),
        ('/pole_028 { (%s) show_date } def', ('tyub_okres_do', ), 0, 0),
        ('/pole_029 { (%s  %s) show_field } def', ('dowp_wymiar_etatu_l', 'dowp_wymiar_etatu_m', ), 0, 0),
        ('/pole_030 { (%s) show_date } def', ('dowp_data_powstania', ), 0, 0),
        ('/pole_031 { (%s) show_field } def', ('dowp_emerytalne', ), 0, 0),
        ('/pole_032 { (%s) show_field } def', ('dowp_rentowe', ), 0, 0),
        ('/pole_033 { (%s) show_field } def', ('dowp_chorobowe', ), 0, 0),
        ('/pole_034 { (%s) show_field } def', ('dowp_wypadkowe', ), 0, 0),
        ('/pole_035 { (%s) show_date } def', ('doou_data_powstania', ), 0, 0),
        ('/pole_036 { (%s) show_field } def', ('dobu_wnosze_emerytalne', ), 0, 0),
        ('/pole_037 { (%s) show_date } def', ('dobu_data_emerytalna', ), 0, 0),
        ('/pole_038 { (%s) show_field } def', ('dobu_wnosze_rentowe', ), 0, 0),
        ('/pole_039 { (%s) show_date } def', ('dobu_data_rentowa', ), 0, 0),
        ('/pole_040 { (%s) show_field } def', ('dobu_wnosze_chorobowe', ), 0, 0),
        ('/pole_041 { (%s) show_date } def', ('dobu_data_chorobowa', ), 0, 0),
        ('/pole_042 { (%s) show_date } def', ('dodu_data_zdrowotnego', ), 0, 0),
        ('/pole_043 { (%s) show_money } def', ('dodu_kwota', ), 0, 0),
        ('/pole_044 { (%s) show_field } def', ('iodz_jestem', ), 0, 0),
        ('/pole_045 { (%s) show_field } def', ('iodz_pozostaje', ), 0, 0),
        ('/pole_046 { (%s) show_field } def', ('iodz_kod_stopnia', ), 0, 0),
        ('/pole_047 { (%s) show_date } def', ('iodz_okres_niezdolnosci_od', ), 0, 0),
        ('/pole_048 { (%s) show_date } def', ('iodz_okres_niezdolnosci_do', ), 0, 0),
        ('/pole_049 { (%s) show_field } def', ('iodz_kod_zawodu', ), 0, 0),
        ('/pole_050 { (%s) show_field } def', ('iodz_kod_gornika', ), 0, 0),
        ('/pole_051 { (%s) show_date } def', ('iodz_okres_pracy_gorniczej_od', ), 0, 0),
        ('/pole_052 { (%s) show_date } def', ('iodz_okres_pracy_gorniczej_do', ), 0, 0),
        ('/pole_053 { (%s) show_field } def', ('iodz_kod_wyksztalcenia', ), 0, 0),
        ('/pole_054 { (%s) show_field } def', ('iodz_kod_szczegolny', ), 0, 0),
        ('/pole_055 { (%s) show_date } def', ('iodz_okres_szczegolny_od', ), 0, 0),
        ('/pole_056 { (%s) show_date } def', ('iodz_okres_szczegolny_do', ), 0, 0),
        ('/pole_057 { (%s) show_field } def', ('dokc_kod_kasy', ), 0, 0),
        ('/pole_058 { (%s) show_field } def', ('dokc_nazwa_kasy', ), 0, 0),
        ('/pole_059 { (%s) show_date } def', ('dokc_data_zawarcia', ), 0, 0),
        ('/pole_060 { (%s) show_zip } def', ('azmo_kod', ), 0, 0),
        ('/pole_061 { (%s) show_field } def', ('azmo_miejscowosc', ), 0, 0),
        ('/pole_062 { (%s) show_field } def', ('azmo_gmina', ), 0, 0),
        ('/pole_063 { (%s) show_field } def', ('azmo_ulica', ), 0, 0),
        ('/pole_064 { (%s) show_field } def', ('azmo_dom', ), 0, 0),
        ('/pole_065 { (%s) show_field } def', ('azmo_lokal', ), 0, 0),
        ('/pole_066 { (%s) show_field } def', ('azmo_telefon', ), 0, 0),
        ('/pole_067 { (%s) show_field } def', ('azmo_fax', ), 0, 0),
        ('/pole_068 { (%s) show_zip } def', ('adza_kod', ), 0, 0),
        ('/pole_069 { (%s) show_field } def', ('adza_miejscowosc', ), 0, 0),
        ('/pole_070 { (%s) show_field } def', ('adza_gmina', ), 0, 0),
        ('/pole_071 { (%s) show_field } def', ('adza_ulica', ), 0, 0),
        ('/pole_072 { (%s) show_field } def', ('adza_dom', ), 0, 0),
        ('/pole_073 { (%s) show_field } def', ('adza_lokal', ), 0, 0),
        ('/pole_074 { (%s) show_field } def', ('adza_telefon', ), 0, 0),
        ('/pole_075 { (%s) show_field } def', ('adza_fax', ), 0, 0),
        ('/pole_076 { (%s) show_zip } def', ('adkb_kod', ), 0, 0),
        ('/pole_077 { (%s) show_field } def', ('adkb_miejscowosc', ), 0, 0),
        ('/pole_078 { (%s) show_field } def', ('adkb_ulica', ), 0, 0),
        ('/pole_079 { (%s) show_field } def', ('adkb_dom', ), 0, 0),
        ('/pole_080 { (%s) show_field } def', ('adkb_lokal', ), 0, 0),
        ('/pole_081 { (%s) show_field } def', ('adkb_skrytka', ), 0, 0),
        ('/pole_082 { (%s) show_field } def', ('adkb_telefon', ), 0, 0),
        ('/pole_083 { (%s) show_field } def', ('adkb_fax', ), 0, 0),
        ('/pole_084 { (%s) show_field } def', ('adkb_email', ), 0, 0),
        ('/pole_085 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszcna'] = (2, [
        ('/pole_001 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_009 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dau_pesel', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('dau_nip', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('dau_rodzaj_dokumentu', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('dau_seria_numer', ), 0, 0),
        ('/pole_014 { (%s) show_field } def', ('dau_nazwisko', ), 0, 0),
        ('/pole_015 { (%s) show_field } def', ('dau_imie_pierwsze', ), 0, 0),
        ('/pole_016 { (%s) show_date } def', ('dau_data_urodzenia', ), 0, 0),
        ('/pole_017 { (%s) show_field } def', ('docra_zgloszenie_nczr', ), 1, 0),
        ('/pole_018 { (%s) show_date } def', ('docra_data_uzyskania_uuz', ), 1, 0),
        ('/pole_019 { (%s) show_field } def', ('docra_pesel', ), 1, 0),
        ('/pole_020 { (%s) show_field } def', ('docra_nip', ), 1, 0),
        ('/pole_021 { (%s) show_field } def', ('docra_rodzaj_dokumentu', ), 1, 0),
        ('/pole_022 { (%s) show_field } def', ('docra_seria_numer', ), 1, 0),
        ('/pole_023 { (%s) show_field } def', ('docra_nazwisko', ), 1, 0),
        ('/pole_024 { (%s) show_field } def', ('docra_imie_pierwsze', ), 1, 0),
        ('/pole_025 { (%s) show_date } def', ('docra_data_urodzenia', ), 1, 0),
        ('/pole_026 { (%s) show_field } def', ('docra_kod_pokrewienstwa', ), 1, 0),
        ('/pole_027 { (%s) show_field } def', ('docra_wylaczne_utrzymanie', ), 1, 0),
        ('/pole_028 { (%s) show_field } def', ('docra_wspolne_gospodarstwo', ), 1, 0),
        ('/pole_029 { (%s) show_field } def', ('docra_kod_niepelnosprawn', ), 1, 0),
        ('/pole_030 { (%s) show_zip } def', ('docra_kod', ), 1, 0),
        ('/pole_031 { (%s) show_field } def', ('docra_miejscowosc', ), 1, 0),
        ('/pole_032 { (%s) show_field } def', ('docra_gmina', ), 1, 0),
        ('/pole_033 { (%s) show_field } def', ('docra_ulica', ), 1, 0),
        ('/pole_034 { (%s) show_field } def', ('docra_dom', ), 1, 0),
        ('/pole_035 { (%s) show_field } def', ('docra_lokal', ), 1, 0),
        ('/pole_036 { (%s) show_field } def', ('docra_telefon', ), 1, 0),
        ('/pole_037 { (%s) show_field } def', ('docra_fax', ), 1, 0),
        ('/pole_038 { (%s) show_field } def', ('docra_zgloszenie_nczr', ), 2, 0),
        ('/pole_039 { (%s) show_date } def', ('docra_data_uzyskania_uuz', ), 2, 0),
        ('/pole_040 { (%s) show_field } def', ('docra_pesel', ), 2, 0),
        ('/pole_041 { (%s) show_field } def', ('docra_nip', ), 2, 0),
        ('/pole_042 { (%s) show_field } def', ('docra_rodzaj_dokumentu', ), 2, 0),
        ('/pole_043 { (%s) show_field } def', ('docra_seria_numer', ), 2, 0),
        ('/pole_044 { (%s) show_field } def', ('docra_nazwisko', ), 2, 0),
        ('/pole_045 { (%s) show_field } def', ('docra_imie_pierwsze', ), 2, 0),
        ('/pole_046 { (%s) show_date } def', ('docra_data_urodzenia', ), 2, 0),
        ('/pole_047 { (%s) show_field } def', ('docra_kod_pokrewienstwa', ), 2, 0),
        ('/pole_048 { (%s) show_field } def', ('docra_wylaczne_utrzymanie', ), 2, 0),
        ('/pole_049 { (%s) show_field } def', ('docra_wspolne_gospodarstwo', ), 2, 0),
        ('/pole_050 { (%s) show_field } def', ('docra_kod_niepelnosprawn', ), 2, 0),
        ('/pole_051 { (%s) show_zip } def', ('docra_kod', ), 2, 0),
        ('/pole_052 { (%s) show_field } def', ('docra_miejscowosc', ), 2, 0),
        ('/pole_053 { (%s) show_field } def', ('docra_gmina', ), 2, 0),
        ('/pole_054 { (%s) show_field } def', ('docra_ulica', ), 2, 0),
        ('/pole_055 { (%s) show_field } def', ('docra_dom', ), 2, 0),
        ('/pole_056 { (%s) show_field } def', ('docra_lokal', ), 2, 0),
        ('/pole_057 { (%s) show_field } def', ('docra_telefon', ), 2, 0),
        ('/pole_058 { (%s) show_field } def', ('docra_fax', ), 2, 0),
        ('/pole_059 { (%s) show_date } def', ('opl1_data', ), 0, 0)])

tab_druku['zuszwpa'] = (1, [
        ('/pole_001 { (%s) show_field } def', ('dozwpa_wyr_pl_op_jonpop', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dozwpa_wyr_pl_of', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dozwpa_kor_dan_wyr_pl_skl', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_011 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_012 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_013 { (%s) show_field } def', ('dowl_kod_przyczyny_wyr', ), 0, 0),
        ('/pole_014 { (%s) show_date } def', ('dowl_data_wyr', ), 0, 0),
        ('/pole_015 { (%s) show_date } def', ('opl1_data_wypelnienia', ), 0, 0)])


tab_druku['zusrza'] = (18, [
        ('/pole_001 { (%s) show_id } def', ('dorza_identyfikator_raportu', ), 0, 0),
        ('/pole_002 { (%s) show_field } def', ('dorza_nr_kart_rap_rza', ), 0, 0),
        ('/pole_003 { (%s) show_field } def', ('dipl_nip', ), 0, 0),
        ('/pole_004 { (%s) show_field } def', ('dipl_regon', ), 0, 0),
        ('/pole_005 { (%s) show_field } def', ('dipl_pesel', ), 0, 0),
        ('/pole_006 { (%s) show_field } def', ('dipl_rodzaj_dokumentu', ), 0, 0),
        ('/pole_007 { (%s) show_field } def', ('dipl_seria_numer', ), 0, 0),
        ('/pole_008 { (%s) show_field } def', ('dipl_nazwa_skrocona', ), 0, 0),
        ('/pole_009 { (%s) show_field } def', ('dipl_nazwisko', ), 0, 0),
        ('/pole_010 { (%s) show_field } def', ('dipl_imie_pierwsze', ), 0, 0),
        ('/pole_011 { (%s) show_date } def', ('dipl_data_urodzenia', ), 0, 0),
        ('/pole_012 { (%s) show_field } def', ('ddorza_nazwisko', ), 1, 0),
        ('/pole_013 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 1, 0),
        ('/pole_014 { (%s) show_field } def', ('ddorza_typ_identyf', ), 1, 0),
        ('/pole_015 { (%s) show_field } def', ('ddorza_identyfikator', ), 1, 0),
        ('/pole_016 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 1, 0),
        ('/pole_017 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 1, 0),
        ('/pole_018 { (%s) show_money } def', ('ddorza_kw_skl', ), 1, 1),
        ('/pole_019 { (%s) show_field } def', ('ddorza_nazwisko', ), 2, 0),
        ('/pole_020 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 2, 0),
        ('/pole_021 { (%s) show_field } def', ('ddorza_typ_identyf', ), 2, 0),
        ('/pole_022 { (%s) show_field } def', ('ddorza_identyfikator', ), 2, 0),
        ('/pole_023 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 2, 0),
        ('/pole_024 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 2, 0),
        ('/pole_025 { (%s) show_money } def', ('ddorza_kw_skl', ), 2, 1),
        ('/pole_026 { (%s) show_field } def', ('ddorza_nazwisko', ), 3, 0),
        ('/pole_027 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 3, 0),
        ('/pole_028 { (%s) show_field } def', ('ddorza_typ_identyf', ), 3, 0),
        ('/pole_029 { (%s) show_field } def', ('ddorza_identyfikator', ), 3, 0),
        ('/pole_030 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 3, 0),
        ('/pole_031 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 3, 0),
        ('/pole_032 { (%s) show_money } def', ('ddorza_kw_skl', ), 3, 1),
        ('/pole_033 { (%s) show_field } def', ('ddorza_nazwisko', ), 4, 0),
        ('/pole_034 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 4, 0),
        ('/pole_035 { (%s) show_field } def', ('ddorza_typ_identyf', ), 4, 0),
        ('/pole_036 { (%s) show_field } def', ('ddorza_identyfikator', ), 4, 0),
        ('/pole_037 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 4, 0),
        ('/pole_038 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 4, 0),
        ('/pole_039 { (%s) show_money } def', ('ddorza_kw_skl', ), 4, 1),
        ('/pole_040 { (%s) show_field } def', ('ddorza_nazwisko', ), 5, 0),
        ('/pole_041 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 5, 0),
        ('/pole_042 { (%s) show_field } def', ('ddorza_typ_identyf', ), 5, 0),
        ('/pole_043 { (%s) show_field } def', ('ddorza_identyfikator', ), 5, 0),
        ('/pole_044 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 5, 0),
        ('/pole_045 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 5, 0),
        ('/pole_046 { (%s) show_money } def', ('ddorza_kw_skl', ), 5, 1),
        ('/pole_047 { (%s) show_field } def', ('ddorza_nazwisko', ), 6, 0),
        ('/pole_048 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 6, 0),
        ('/pole_049 { (%s) show_field } def', ('ddorza_typ_identyf', ), 6, 0),
        ('/pole_050 { (%s) show_field } def', ('ddorza_identyfikator', ), 6, 0),
        ('/pole_051 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 6, 0),
        ('/pole_052 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 6, 0),
        ('/pole_053 { (%s) show_money } def', ('ddorza_kw_skl', ), 6, 1),
        ('/pole_054 { (%s) show_field } def', ('ddorza_nazwisko', ), 7, 0),
        ('/pole_055 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 7, 0),
        ('/pole_056 { (%s) show_field } def', ('ddorza_typ_identyf', ), 7, 0),
        ('/pole_057 { (%s) show_field } def', ('ddorza_identyfikator', ), 7, 0),
        ('/pole_058 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 7, 0),
        ('/pole_059 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 7, 0),
        ('/pole_060 { (%s) show_money } def', ('ddorza_kw_skl', ), 7, 1),
        ('/pole_061 { (%s) show_field } def', ('ddorza_nazwisko', ), 8, 0),
        ('/pole_062 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 8, 0),
        ('/pole_063 { (%s) show_field } def', ('ddorza_typ_identyf', ), 8, 0),
        ('/pole_064 { (%s) show_field } def', ('ddorza_identyfikator', ), 8, 0),
        ('/pole_065 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 8, 0),
        ('/pole_066 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 8, 0),
        ('/pole_067 { (%s) show_money } def', ('ddorza_kw_skl', ), 8, 1),
        ('/pole_068 { (%s) show_field } def', ('ddorza_nazwisko', ), 9, 0),
        ('/pole_069 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 9, 0),
        ('/pole_070 { (%s) show_field } def', ('ddorza_typ_identyf', ), 9, 0),
        ('/pole_071 { (%s) show_field } def', ('ddorza_identyfikator', ), 9, 0),
        ('/pole_072 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 9, 0),
        ('/pole_073 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 9, 0),
        ('/pole_074 { (%s) show_money } def', ('ddorza_kw_skl', ), 9, 1),
        ('/pole_075 { (%s) show_field } def', ('ddorza_nazwisko', ), 10, 0),
        ('/pole_076 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 10, 0),
        ('/pole_077 { (%s) show_field } def', ('ddorza_typ_identyf', ), 10, 0),
        ('/pole_078 { (%s) show_field } def', ('ddorza_identyfikator', ), 10, 0),
        ('/pole_079 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 10, 0),
        ('/pole_080 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 10, 0),
        ('/pole_081 { (%s) show_money } def', ('ddorza_kw_skl', ), 10, 1),
        ('/pole_082 { (%s) show_field } def', ('ddorza_nazwisko', ), 11, 0),
        ('/pole_083 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 11, 0),
        ('/pole_084 { (%s) show_field } def', ('ddorza_typ_identyf', ), 11, 0),
        ('/pole_085 { (%s) show_field } def', ('ddorza_identyfikator', ), 11, 0),
        ('/pole_086 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 11, 0),
        ('/pole_087 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 11, 0),
        ('/pole_088 { (%s) show_money } def', ('ddorza_kw_skl', ), 11, 1),
        ('/pole_089 { (%s) show_field } def', ('ddorza_nazwisko', ), 12, 0),
        ('/pole_090 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 12, 0),
        ('/pole_091 { (%s) show_field } def', ('ddorza_typ_identyf', ), 12, 0),
        ('/pole_092 { (%s) show_field } def', ('ddorza_identyfikator', ), 12, 0),
        ('/pole_093 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 12, 0),
        ('/pole_094 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 12, 0),
        ('/pole_095 { (%s) show_money } def', ('ddorza_kw_skl', ), 12, 1),
        ('/pole_096 { (%s) show_field } def', ('ddorza_nazwisko', ), 13, 0),
        ('/pole_097 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 13, 0),
        ('/pole_098 { (%s) show_field } def', ('ddorza_typ_identyf', ), 13, 0),
        ('/pole_099 { (%s) show_field } def', ('ddorza_identyfikator', ), 13, 0),
        ('/pole_100 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 13, 0),
        ('/pole_101 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 13, 0),
        ('/pole_102 { (%s) show_money } def', ('ddorza_kw_skl', ), 13, 1),
        ('/pole_103 { (%s) show_field } def', ('ddorza_nazwisko', ), 14, 0),
        ('/pole_104 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 14, 0),
        ('/pole_105 { (%s) show_field } def', ('ddorza_typ_identyf', ), 14, 0),
        ('/pole_106 { (%s) show_field } def', ('ddorza_identyfikator', ), 14, 0),
        ('/pole_107 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 14, 0),
        ('/pole_108 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 14, 0),
        ('/pole_109 { (%s) show_money } def', ('ddorza_kw_skl', ), 14, 1),
        ('/pole_110 { (%s) show_field } def', ('ddorza_nazwisko', ), 15, 0),
        ('/pole_111 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 15, 0),
        ('/pole_112 { (%s) show_field } def', ('ddorza_typ_identyf', ), 15, 0),
        ('/pole_113 { (%s) show_field } def', ('ddorza_identyfikator', ), 15, 0),
        ('/pole_114 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 15, 0),
        ('/pole_115 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 15, 0),
        ('/pole_116 { (%s) show_money } def', ('ddorza_kw_skl', ), 15, 1),
        ('/pole_117 { (%s) show_field } def', ('ddorza_nazwisko', ), 16, 0),
        ('/pole_118 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 16, 0),
        ('/pole_119 { (%s) show_field } def', ('ddorza_typ_identyf', ), 16, 0),
        ('/pole_120 { (%s) show_field } def', ('ddorza_identyfikator', ), 16, 0),
        ('/pole_121 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 16, 0),
        ('/pole_122 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 16, 0),
        ('/pole_123 { (%s) show_money } def', ('ddorza_kw_skl', ), 16, 1),
        ('/pole_124 { (%s) show_field } def', ('ddorza_nazwisko', ), 17, 0),
        ('/pole_125 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 17, 0),
        ('/pole_126 { (%s) show_field } def', ('ddorza_typ_identyf', ), 17, 0),
        ('/pole_127 { (%s) show_field } def', ('ddorza_identyfikator', ), 17, 0),
        ('/pole_128 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 17, 0),
        ('/pole_129 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 17, 0),
        ('/pole_130 { (%s) show_money } def', ('ddorza_kw_skl', ), 17, 1),
        ('/pole_131 { (%s) show_field } def', ('ddorza_nazwisko', ), 18, 0),
        ('/pole_132 { (%s) show_field } def', ('ddorza_imie_pierwsze', ), 18, 0),
        ('/pole_133 { (%s) show_field } def', ('ddorza_typ_identyf', ), 18, 0),
        ('/pole_134 { (%s) show_field } def', ('ddorza_identyfikator', ), 18, 0),
        ('/pole_135 { (%s) show_sec_code } def', ('ddorza_kod_tyt_ubez', ), 18, 0),
        ('/pole_136 { (%s) show_money } def', ('ddorza_podst_wym_skl', ), 18, 0),
        ('/pole_137 { (%s) show_money } def', ('ddorza_kw_skl', ), 18, 1),
        ('/pole_138 { (%s) show_date } def', ('oplr_data', ), 0, 0),
        ('/pole_139 { (%s) show_money } def', ( ), 0, -1)])
