# 
# Janosik - Wieloplatformowa odpowiednik programu Patnik 
#
# Copyright (C) 2002, 2003 Janosik Development Team
# 
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

"""Modu obsugujcy cae GUI stworzone w glade dla Gtk1.

	"""

import gtk
import libglade
import API
import os.path
import _gtk



# Obsuga okien formularzy

def zapisz_pole(xml, pole):
	nazwa = API.nazwa(pole)
	widget = xml.get_widget(nazwa)
	if widget:
		type = _gtk.gtk_type_name(widget.get_type())
		if type == 'GtkCheckButton':
			if widget.get_active():
				API.zmien_wartosc_pola(pole, 'X')
			else:
				API.zmien_wartosc_pola(pole, ' ')
		elif type == 'GtkEntry':
			API.zmien_wartosc_pola(pole, widget.get_text())

def zapisz_wartosci(xml, dokument):
	for sekcja in API.lista_sekcji(dokument):
		for pole in API.lista_pol(sekcja):
			zapisz_pole(xml, pole)

def zakoncz(obiekt, xml, dokument, window, zapisz):
	if zapisz:
		zapisz_wartosci(xml, dokument)
#		API.weryfikuj(dokument)
		API.zapisz_dokument(dokument)
	window.destroy()

def wczytaj_okno(plik, okno):
	xml = libglade.GladeXML(plik, okno)
	return xml

def ustaw_pole(xml, pole):
	nazwa = API.nazwa(pole)
	widget = xml.get_widget(nazwa)
	if widget:
		type = _gtk.gtk_type_name(widget.get_type())
		if type == 'GtkCheckButton':
			widget.set_active(API.wartosc_pola(pole) == 'X')
#			print nazwa, 'OK!!!'
		elif type == 'GtkEntry':
			widget.set_text(API.wartosc_pola(pole))
#			print nazwa, 'OK!!!'
		else:
			print nazwa, _gtk.gtk_type_name(widget.get_type())
	else:
		print nazwa, 'Brak!!!'

pola_w_liscie = {
	'docrba': ['pozycja', 'docrba_nazwisko', 'docrba_imie_pierwsze'],
	'ddorna': ['pozycja', 'ddo_nazwisko', 'ddo_imie_pierwsze', 'ddo_kod_tytulu']
}

def ustaw_sekcje_wielokrotna(xml, sekcja):
	nazwa = API.nazwa(sekcja)
#	print 'Sekcja wielokrotna - %s' % nazwa
	lista = xml.get_widget('%s_lista' % nazwa)
	wartosci = []
	wartosci[:] = pola_w_liscie[nazwa]
	# Hmmm... a moe zaozy, e pozycja jest zawsze pierwsza?
	if 'pozycja' in wartosci:
		wartosci[wartosci.index('pozycja')] = '%d' % (lista.rows + 1)
	for pole in API.lista_pol(sekcja):
		nazwa_pola = API.nazwa(pole)
		if nazwa_pola in wartosci:
			nowa = API.wartosc_pola(pole)
			wartosci[wartosci.index(nazwa_pola)] = nowa
	lista.append(wartosci)

def zakoncz_sekcje(obiekt, xml_nowy, sekcja, window, zapisz):
	if zapisz:
		for pole in API.lista_pol(sekcja):
			zapisz_pole(xml_nowy, pole)
	window.destroy()

def edytuj_sekcje(button, xml, nazwa, dokument):
	# Znalezienie odpowiedniej sekcji
	lista = xml.get_widget('%s_lista' % nazwa)
	if not lista.selection:
		return

	slownik = API.przygotuj_znajdz(dokument)
	sekcje = API.znajdz(slownik, nazwa)
	sekcja = sekcje[lista.selection[0]]

	# Wczytanie nowego okna...
	typ = API.typ_dokumentu(dokument)
	plik = os.path.join('gui/glade', 'zus-%s-%s.glade' % (typ[3:], nazwa))
	okno = '%s_okno' % nazwa
	xml_nowy = wczytaj_okno(plik, okno)
	window = xml_nowy.get_widget(okno)
	ok = xml_nowy.get_widget('ok_button')
	anuluj = xml_nowy.get_widget('anuluj_button')
	window.connect('destroy', gtk.mainquit)
	anuluj.connect('clicked', zakoncz_sekcje, xml_nowy, sekcja, window, 0)
	ok.connect('clicked', zakoncz_sekcje, xml_nowy, sekcja, window, 1)

	# Ustawienie wartoci i odpalenie okan...
	for pole in API.lista_pol(sekcja):
		ustaw_pole(xml_nowy, pole)
	gtk.grab_add(window)
	gtk.mainloop()

def dodaj_sekcje(button, xml, nazwa, dokument):
	lista = xml.get_widget('%s_lista' % nazwa)
	slownik = API.przygotuj_znajdz(dokument)
	sekcje = API.znajdz(slownik, nazwa)
	sekcja = sekcje[0]
	nowa = API.dodaj_sekcje(dokument, sekcja)
	ustaw_sekcje_wielokrotna(xml, nowa)

def usun_sekcje(button, xml, nazwa, dokument):
	lista = xml.get_widget('%s_lista' % nazwa)
	if not lista.selection:
		return

	lista = xml.get_widget('%s_lista' % nazwa)
	slownik = API.przygotuj_znajdz(dokument)
	sekcje = API.znajdz(slownik, nazwa)
	sekcja = sekcje[lista.selection[0]]
	lista.remove(lista.selection[0])
	nowa = API.usun_sekcje(dokument, sekcja)
	if nowa:
		ustaw_sekcje_wielokrotna(xml, nowa)

def ustaw_wartosci(xml, dokument):
	nazwa = ''
	for sekcja in API.lista_sekcji(dokument):
		wiel = API.atrybut(API.typ_dokumentu(dokument), 
				API.nazwa(sekcja), 'multiple')
		if wiel == 'TRUE':
			if API.nazwa(sekcja) != nazwa:
				nazwa = API.nazwa(sekcja)
				
				# Ustawienie sygnaw dla tej listy...
				edytuj = xml.get_widget('%s_edytuj_button' % nazwa)
				dodaj = xml.get_widget('%s_dodaj_button' % nazwa)
				usun = xml.get_widget('%s_usun_button' % nazwa)
				edytuj.connect('clicked', edytuj_sekcje, xml, nazwa, dokument)
				dodaj.connect('clicked', dodaj_sekcje, xml, nazwa, dokument)
				usun.connect('clicked', usun_sekcje, xml, nazwa, dokument)
				
			ustaw_sekcje_wielokrotna(xml, sekcja)
		else:
			for pole in API.lista_pol(sekcja):
				ustaw_pole(xml, pole)

def edytuj_dokument(dokument):
	typ = API.typ_dokumentu(dokument)
	plik = os.path.join('gui/glade', 'zus-%s.glade' % typ[3:])
	okno = '%s_okno' % typ[3:]
	xml = wczytaj_okno(plik, okno)

	#ustawienie sygnaw
	print okno
	window = xml.get_widget(okno)
	ok = xml.get_widget('ok_button')
	anuluj = xml.get_widget('anuluj_button')
	window.connect('destroy', gtk.mainquit)
	anuluj.connect('clicked', zakoncz, xml, dokument, window, 0)
	ok.connect('clicked', zakoncz, xml, dokument, window, 1)

	ustaw_wartosci(xml, dokument)
	gtk.grab_add(window)
	gtk.mainloop()



# Obsuga okna wyboru patnika i zestawu.

def wybor_zestwu(Clista, rzad, kolumna, event, zestawy, wynik):
	wynik[:] = [zestawy[rzad]]

def wypelnij_zestawy(lista, child, xml, firmy, wynik):
	platnik = firmy[lista.child_position(child)]
	Clista = xml.get_widget('zestawy1_lista')
	zestawy = API.lista_zestawow(platnik)
	Clista.signal_handlers_destroy()
	Clista.clear()
	map(Clista.append, map(lambda z: ('?', '?', '?', z, ''), 
			map(API.nazwa_zestawu, zestawy)))
	Clista.connect('select-row', wybor_zestwu, zestawy, wynik)

def wypelnij_firmy(xml, wynik):
	lista = xml.get_widget('folder_lista')
	firmy = API.lista_firm()
	lista.append_items(map(gtk.GtkListItem, map(API.nazwa_zestawu, firmy)))
	lista.connect('select_child', wypelnij_zestawy, xml, firmy, wynik)
	lista.show_all()

def zakoncz_platnik(obiekt, window, zapisz, wynik, wynik_ok):
	if zapisz:
		wynik_ok[:] = wynik
	window.destroy()

def wybierz_platnika_i_zestaw():
	firmy = API.lista_firm()
	if len(firmy) == 0:
		return None

	plik = os.path.join('gui/glade', 'zestaw.glade')
	okno = 'zestaw_okno'
	xml = wczytaj_okno(plik, okno)

	# Tu przekazuje wynik
	wynik = []
	wynik_ok = []

	wypelnij_firmy(xml, wynik)

	window = xml.get_widget(okno)
	ok = xml.get_widget('ok_button')
	anuluj = xml.get_widget('anuluj_button')
	window.connect('destroy', gtk.mainquit)
	anuluj.connect('clicked', zakoncz_platnik, window, 0, wynik, wynik_ok)
	ok.connect('clicked', zakoncz_platnik, window, 1, wynik, wynik_ok)

	notebook = xml.get_widget('notebook1')
	notebook.set_show_tabs(0)

	gtk.grab_add(window)
	gtk.mainloop()

	return wynik_ok



# Obsuga okna gownego programu

def dodaj_dzieci(tree, parent, zestaw, podzestaw, dokumenty):
	podzestawy = API.lista_podzestawow(zestaw, podzestaw)
	for podpod in podzestawy:
		nazwa = API.nazwa_zestawu(podpod)
		node = tree.insert_node(parent, None, [nazwa, ''], is_leaf=0, 
				expanded=0)
		dodaj_dzieci(tree, node, zestaw, podpod, dokumenty)
	dokumenty_typy = {}
	for dokument in API.lista_dokumentow(zestaw, podzestaw):
		nazwa = API.typ_dokumentu(dokument)
		if nazwa not in dokumenty_typy:
			dokumenty_typy[nazwa] = []
		dokumenty_typy[nazwa].append(dokument)
	for typ in dokumenty_typy:
		node = tree.insert_node(parent, None, 
				[typ, '%d' % len(dokumenty_typy[typ])], 
				is_leaf=1, expanded=0)
	dokumenty.update(dokumenty_typy)

# numer kartki w notebooku, a potem lista pol w liscie
opis_dokumentu = {
	'platnik': (0, []),
	'zuszpa': (1, []),
	'zusdra': (2, []),
	'zusrca': (3, []),
	'zusrna': (4, ['pozycja', '', 'dipl_nazwa_skrocona', 'dipl_nip', 'dipl_regon', 'dipl_pesel', 'oplr_data', '']),
	'zusrza': (5, []),
	'zusrsa': (6, []),
	'zusrga': (7, []),
	'zuszua': (8, ['dau_nazwisko', 'dau_imie_pierwsze', 'dau_pesel', 'dau_nip', 'tyub_kod', 'opl1_data', '']),
	'zusziua': (9, ['adiu_nazwisko', 'adiu_imie_pierwsze', 'adiu_pesel', 'adiu_nip', 'opl1_data', '']),
	'zuszcna': (10, []),
	'zuszcza': (11, ['', 'dau_nazwisko', 'dau_imie_pierwsze', 'dau_pesel', 'dau_nip', 'opl1_data', '']),
	'zuszwua': (12, ['dau_nazwisko', 'dau_imie_pierwsze', 'dau_pesel', 'dau_nip', 'wubd_kod', 'opl1_data', '']),
	'zuszza': (13, ['dau_nazwisko', 'dau_imie_pierwsze', 'dau_pesel', 'dau_nip', 'tyubz_kod', 'opl1_data', '']),
	'zuszfa': (14, ['dipl_nazwa_skrocona', 'dipl_nip', 'dipl_regon', 'dipl_pesel', 'opl2_data', '']),
	'zuszipa': (15, []),
	'zuszwpa': (16, []),
	'zuszba': (17, []),
	'zuszaa': (18, [])
}

def dodaj_dokument(lista, pola_w_liscie, dok):
	wartosci = []
	wartosci[:] = pola_w_liscie
	slownik = API.przygotuj_znajdz(dok)
	i = 0
	for kol in wartosci:
		if kol == 'pozycja':
			wartosci[i] = '%d' % (lista.rows + 1)
		elif kol in slownik:
			pole = API.znajdz(slownik, kol)
			wartosci[i] = API.wartosc_pola(pole[0])
		i += 1
	lista.append(wartosci)

def edytuj_dokument_clicked(button, lista, dokumenty):
	if not lista.selection:
		return
	dokument = dokumenty[lista.selection[0]]
	edytuj_dokument(dokument)
	
def wybor_dokumentu(tree, node, col, xml, dokumenty):
	nazwa = tree.node_get_pixtext(node, 0)[0]
	if nazwa in dokumenty:
		opis = opis_dokumentu[nazwa]
		notebook = xml.get_widget('notebook2')
		notebook.set_page(opis[0])
		if opis[1]:
			lista = xml.get_widget('%s_list' % nazwa[3:])
			lista.clear()
			for dok in dokumenty[nazwa]:
				dodaj_dokument(lista, opis[1], dok)
			edytuj = xml.get_widget('edytuj_button')
			edytuj.signal_handlers_destroy()
			edytuj.connect('clicked', edytuj_dokument_clicked, 
					lista, dokumenty[nazwa])

def wypelnij_podzestawy(zestaw, xml):
	tree = xml.get_widget('rodzaj_dokumentu_tree')
	tree.clear()
	nazwa = API.nazwa_zestawu(zestaw)
	root = tree.insert_node(None, None, [nazwa, ''], is_leaf=0, expanded=1)
	dokumenty = {}
	dodaj_dzieci(tree, root, zestaw, '', dokumenty)
	tree.connect('tree-select-row', wybor_dokumentu, xml, dokumenty)

def zestaw_button_clicked(button, xml):
	zestaw = wybierz_platnika_i_zestaw()
	if zestaw:
		notebook = xml.get_widget('notebook1')
		notebook.set_page(2)
		wypelnij_podzestawy(zestaw[0], xml)

def go():
	plik = os.path.join('gui/glade', 'main.glade')
	okno = 'janosik_okno'
	xml = wczytaj_okno(plik, okno)
	
	window = xml.get_widget(okno)
	window.connect('destroy', gtk.mainquit)

	zestaw_button = xml.get_widget('zestaw_button')
	zestaw_button.connect('clicked', zestaw_button_clicked, xml)

	notebook = xml.get_widget('notebook1')
	notebook.set_show_tabs(0)
	notebook = xml.get_widget('notebook2')
	notebook.set_show_tabs(0)

	gtk.mainloop()
	
