# 
# Janosik - Wieloplatformowa odpowiednik programu Patnik 
#
# Copyright (C) 2002, 2003 Janosik Development Team
# 
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

"""Rne, mniej lub bardziej przydatne funkcje.

	"""

import re
import os
import stat

def walktree(dir, callback):
	"""recursively descend the directory rooted at dir,
	calling the callback function for each regular file"""

	for f in os.listdir(dir):
		pathname = os.path.join(dir, f)
		mode = os.stat(pathname)[stat.ST_MODE]
		if stat.S_ISDIR(mode):
			walktree(pathname, callback)
		elif stat.S_ISREG(mode):
			callback(pathname)


def walktree2(dir, callback):
	for f in os.listdir(dir):
		pathname = os.path.join(dir, f)
		mode = os.stat(pathname)[stat.ST_MODE]
		if stat.S_ISDIR(mode):
			walktree2(pathname, callback)
			callback(pathname)


def rodzaj_dokumentu(typ):
	rodzaj = 'inny'
	if typ in ('zuszua', 'zuszza', 'zusziua', 'zuszcna', 'zuszcza', 'zuszwua'):
		rodzaj = 'Zgoszeniowe ubezpieczonych'
	elif typ in ('zusrca', 'zusrna', 'zusrza', 'zusrsa', 'zusrga', 'zusdra'):
		rodzaj = 'Rozliczeniowe'
	elif typ in ('zuszpa', 'zuszfa', 'zuszipa', 'zuszwpa', 'zuszba', 'zuszaa'):
		rodzaj = 'Zgoszeniowe patnika'
	return rodzaj

def znajdz_pliki(wyrazenie, dir):
	"""Wyszukuje pliki pasujce do wyraenia regularnego.

	Funkcja znajduje wszystkie pliki w podanym katalogu.
	Zwraca je w postaci sownika gdzie kluczem jest warto zwrcona 
	przez findall, a wartoci nazwa pliku plus cieka do niego."""
	
	wynik = {}
	for file in os.listdir(dir):
		path = os.path.join(dir, file)
		mode = os.stat(path)[stat.ST_MODE]
		if stat.S_ISREG(mode):
			a = re.findall(wyrazenie, file)
			if a:
				wynik[a[0]] = path
	return wynik


